use framework "Foundation"
use framework "AppKit"
use scripting additions

script AppDelegate
	property parent : class "NSObject"
	
	-- IBOutlets
	property theWindow : missing value
	property theText1 : missing value
	property theText2 : missing value
	
	
	on applicationWillFinishLaunching:notif
	end applicationWillFinishLaunching:
	
	on applicationShouldTerminate:sender
		return current application's NSTerminateNow
	end applicationShouldTerminate:
	
	on applicationShouldTerminateAfterLastWindowClosed:sender
		return true
	end applicationShouldTerminateAfterLastWindowClosed:
	
	on buttonClicked:sender
		if sender's tag() = 1 then -- good button
			current application's NSTimer's scheduledTimerWithTimeInterval:0 target:me selector:"timerDidFire1:" userInfo:"20 charactères minimum." repeats:false
			current application's NSTimer's scheduledTimerWithTimeInterval:3 target:me selector:"timerDidFire1:" userInfo:"Copié dans le presse-papier." repeats:false
			current application's NSTimer's scheduledTimerWithTimeInterval:6 target:me selector:"timerDidFire1:" userInfo:"" repeats:false
		else if sender's tag() = 2 then -- bad button
			theText1's setStringValue:"20 charactères minimum."
			current application's NSTimer's scheduledTimerWithTimeInterval:3 target:me selector:"timerDidFire2:" userInfo:(missing value) repeats:false
			theText2's setStringValue:"Copié dans le presse-papier."
			current application's NSTimer's scheduledTimerWithTimeInterval:6 target:me selector:"timerDidFire2:" userInfo:(missing value) repeats:false
		else -- close button
			quit
		end if
	end buttonClicked:
	
	on timerDidFire1:theTimer -- good button
		set theMess to theTimer's userInfo()
		theText1's setStringValue:theMess
	end timerDidFire1:
	
	on timerDidFire2:theTimer -- bad button
		theText1's setStringValue:""
		theText2's setStringValue:""
	end timerDidFire2:
	
end script


